PHPExcel_Worksheet_Drawing_Shadow

category | PHPExcel
package | PHPExcel_Worksheet_Drawing
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_Drawing_Shadow

    __construct()

## Get Shadow alignment

    getAlignment() : int

### Returns

`int`

## Get Alpha

    getAlpha() : int

### Returns

`int`

## Get Blur radius

    getBlurRadius() : int

### Returns

`int`

## Get Color

    getColor() : \PHPExcel_Style_Color

### Returns

`\PHPExcel_Style_Color`

## Get Shadow direction (in degrees)

    getDirection() : int

### Returns

`int`

## Get Shadow distance

    getDistance() : int

### Returns

`int`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get Visible

    getVisible() : boolean

### Returns

`boolean`

## Set Shadow alignment

    setAlignment(int $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Alpha

    setAlpha(int $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Blur radius

    setBlurRadius(int $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Color

    setColor(\PHPExcel_Style_Color $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`\PHPExcel_Style_Color`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Shadow direction (in degrees)

    setDirection(int $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Shadow distance

    setDistance(int $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

## Set Visible

    setVisible(boolean $pValue) : \PHPExcel_Worksheet_Drawing_Shadow

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Drawing_Shadow`

### Properties

##

    $_alignment : int

##

    $_alpha : int

##

    $_blurRadius : int

Defaults to 6

##

    $_color : \PHPExcel_Style_Color

##

    $_direction : int

##

    $_distance : int

Defaults to 2

##

    $_visible : boolean

### Constants

## SHADOW_BOTTOM

    SHADOW_BOTTOM

## SHADOW_BOTTOM_LEFT

    SHADOW_BOTTOM_LEFT

## SHADOW_BOTTOM_RIGHT

    SHADOW_BOTTOM_RIGHT

## SHADOW_CENTER

    SHADOW_CENTER

## SHADOW_LEFT

    SHADOW_LEFT

## SHADOW_TOP

    SHADOW_TOP

## SHADOW_TOP_LEFT

    SHADOW_TOP_LEFT

## SHADOW_TOP_RIGHT

    SHADOW_TOP_RIGHT